
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/main}">
<div layout:fragment="content">

    <!-- Main Content -->
    <div id="content">
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-12">
                <h2>Register Participant</h2>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="question/paper/1">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a>Participant</a>
                    </li>
                    <li class="breadcrumb-item active">
                        <strong>Create</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">

            </div>
        </div>


        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-xs-7">
                    <div class="ibox ">
                        <div class="ibox-title">
                            <h5>Register</h5>

                        </div>
                        <div class="ibox-content col-xs-5">
                            <form class="user" action="#" th:action="@{/participant/create}" th:object="${user}" method="post" enctype="multipart/form-data">
                                <input hidden th:field="*{id}"/>
                            <div class="row">

                                <div class="col-sm-6 b-r"><h3 class="m-t-none m-b">Create</h3>
                                    <p>your Account</p>
                                        <div class="form-group">
                                            <label>User Name</label>&nbsp;&nbsp;<span th:if="${#fields.hasErrors('username')}" th:errors="*{username}" class="text-danger" >User Name Error</span>
                                            <input type="text" th:field="*{username}" class="form-control " id="username" placeholder="User Name" autocomplete="nope">

                                        </div>
                                        <div class="form-group">
                                            <label>Password</label>&nbsp;&nbsp;<span th:if="${#fields.hasErrors('password')}" th:errors="*{password}" class="text-danger" >Password Name Error</span>
                                            <input type="password" th:field="*{password}" class="form-control form-control-user" id="password" placeholder="Password" autocomplete="nope">

                                        </div>
                                    <div class="form-group ">
                                        <label class="col-form-label">Round</label>

                                        <div>
                                            <select class="form-control m-b" th:field="*{round}">
                                                <option th:value="1" th:text="1"></option>
                                                <option th:value="2" th:text="2"></option>
                                                <option th:value="3" th:text="3"></option>
                                                <option th:value="4" th:text="4"></option>
                                                <option th:value="5" th:text="5"></option>
                                            </select>
                                        </div>
                                    </div>

                                        <div class="box-footer float-right">
                                            <button type="submit" class="btn btn-success btn-sm">Register Account</button>
                                            <button type="reset" class="btn btn-primary btn-sm">Reset</button>
                                        </div>

                                </div>
                                <div class="col-sm-6 text-center">
                                    <h4>Profile</h4>
                                    <p>You can create an account:</p>

                                    <!--<input type="file" name="file" class="form-control-user"  placeholder="Upload Image">-->
                                    <div class="upload-btn-wrapper">
                                        <button class="btn btnupload">
                                            <p class="text-center">
                                            <a href=""><i class="fa fa-sign-in big-icon"></i></a>
                                        </p>
                                            <p>
                                                Upload your avatar image
                                            </p>
                                        </button>
                                        <input type="file" name="file" id="profile_upload"/>
                                        <img id="profile_image" src="#" alt="your image" width="200" />
                                    </div>

                                    <div class="form-group row">

                                        <label class="col-sm-2 col-form-label">Role</label>

                                        <div class="col-sm-10">
                                            <select th:field="*{role}" class="form-control m-b">
                                                <option th:value="USER" th:text="USER"></option>
                                                <!--<option th:value="admin" th:text="ADMIN"></option>-->
                                            </select>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            </form>

                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    </div>




</div>
</html>